org.codehaus.plexus.component.configurator

## Class BasicComponentConfigurator

- java.lang.Object
- - org.codehaus.plexus.component.configurator.AbstractComponentConfigurator
  - - org.codehaus.plexus.component.configurator.BasicComponentConfigurator

All Implemented Interfaces:
  ComponentConfigurator

    public class BasicComponentConfigurator
    extends AbstractComponentConfigurator

Version:
  $Id: BasicComponentConfigurator.java 6992 2007-10-23 05:31:36Z jvanzyl $
Author:
  Jason van Zyl, Michal Maczka

### Field Summary

### Fields inherited from class org.codehaus.plexus.component.configurator.AbstractComponentConfigurator

`converterLookup`

### Fields inherited from interface org.codehaus.plexus.component.configurator.ComponentConfigurator

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`BasicComponentConfigurator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `configureComponent(java.lang.Object component, PlexusConfiguration configuration, ExpressionEvaluator expressionEvaluator, org.codehaus.plexus.classworlds.realm.ClassRealm containerRealm, ConfigurationListener listener)`

### Methods inherited from class org.codehaus.plexus.component.configurator.AbstractComponentConfigurator

`configureComponent, configureComponent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicComponentConfigurator

    public BasicComponentConfigurator()

### Method Detail

#### configureComponent

    public void configureComponent(java.lang.Object component,
                                   PlexusConfiguration configuration,
                                   ExpressionEvaluator expressionEvaluator,
                                   org.codehaus.plexus.classworlds.realm.ClassRealm containerRealm,
                                   ConfigurationListener listener)
                            throws ComponentConfigurationException

Specified by:
  `configureComponent` in interface `ComponentConfigurator`
Overrides:
  `configureComponent` in class `AbstractComponentConfigurator`
Throws:
  `ComponentConfigurationException`